#!/bin/bash

# deploy app by API call
# to be executed server side after docker-compose up

VERSION=$1
TOKEN=$2
CI_COMMIT_REF_NAME=$3

case ${CI_COMMIT_REF_NAME} in
    "main")
    URL="http://localhost:8092/api/deploy?token=${TOKEN}&version=${VERSION}"
    ;;
    "develop")
    URL="http://localhost:8093/api/deploy?token=${TOKEN}&version=${VERSION}"
    ;;
    *)
    URL="http://localhost:8094/api/deploy?token=${TOKEN}&version=${VERSION}"
    ;;
esac

HEADER=$(curl --head -s ${URL})

STATUS=$(echo $HEADER | head -n 1 | cut -d" " -f 2)
echo "Current HTTP status is $STATUS."

if [[ "$STATUS" != "200" ]]; then exit 1; fi